#652 Autodiscover doesn't work with some feeds

v1.3.0.42
closed
nobody
2
2012-09-23
2005-12-27
Anonymous
No

When adding a new feed
(http://www.boardgamerspastime.com/?feed=rss2) using
the Wizard, it fails if I tick 'Autodiscover':

Sorry, no RSS feed could be located.

If I untick 'Autodiscover', it works fine (but it
doesn't automatically add the name etc).

NT 4 SP 6.

Discussion

  • Torsten Rendelmann

    Logged In: YES
    user_id=714452

    I just tested with the last public release 1.3.0.42 and it
    works for me (XP SP2, .NET 1.1/2.0 installed). Think, it
    was a temp. issue with the feed.

     
  • Nobody/Anonymous

    Logged In: NO

    http://www.boardgamerspastime.com/?feed=rss2 is still not
    working on 1.3.0.42, NT 4 SP6, Internet Explorer
    6.0.200.1106CO SP1, .NET 1.0 and 1.1 installed. It still
    works if I untick 'Autodiscover'.

     
  • Matthew Wills

    Matthew Wills - 2006-01-06

    Logged In: YES
    user_id=1173225

    How can this be reopened?

     
  • Torsten Rendelmann

    Logged In: YES
    user_id=714452

    Someone out there that is able to test/debug with such an
    old OS platform (NT4 is not anymore official supported by
    MS) to figure out what cause the problem?

     
  • Nobody/Anonymous

    Logged In: NO

    Behaviour the same on Win XP SP2 (.NET 2.0, access through
    a proxy).

     
  • Torsten Rendelmann

    Logged In: YES
    user_id=714452

    I still cannot repro that issue, sorry.

     
  • Torsten Rendelmann

    Logged In: YES
    user_id=714452

    Can you verify please, if you really have the latest
    installation? I remember Dare refreshed the installer but
    kept the version on SF.
    The zipped msi file must be of January, 2. 2006. I tested
    and it worked for me. I also had a look through the code
    if we set/take over the configured Proxy - we did.

     
  • Gilles Pion

    Gilles Pion - 2006-03-19

    Logged In: YES
    user_id=680217

    Maybe some useful information regarding this issue, I'm
    using RSS Bandit (last version) at home (no proxy) and at
    work (proxy access) and I've the same kind of problem.

    "Autodiscover" never worked at work and always worked at home.

    Unticking the check box works but feed title isn't
    recognised in that case.

     
  • Nobody/Anonymous

    Logged In: NO

    RssBandit1.3.0.42installer.zip - it looks like I downloaded
    it on 28 Dec 2005.

    I will download the latest and see if the issue remains.

     
  • Nobody/Anonymous

    Logged In: NO

    I have tried with the new drop (v44). Same behaviour -
    gives the same error if 'Autodiscover and verify the feed'
    is checked (it works fine if unchecked). I dropped the v44
    files over the existing RSSBandit install, ran gacutil /cdl
    and then launched RSSBandit. I tried to
    add 'http://feeds.feedburner.com/Roll2d6' as a new
    subscription (with Autodiscover checked).

    Yes, I am using a proxy server.

    The following was in the trace.log (none of it seems
    relevant):

    2006-03-27 16:10:53,894 [1196] INFO
    RssBandit.RssBanditApplication [] - Application start,
    running instance is False
    2006-03-27 16:10:54,385 [1196] WARN
    NewsComponents.Net.AsyncWebRequest [] -
    SetAllowUnsafeHeaderParsing() failed
    Exception: System.MissingMethodException
    Message: Method
    System.Net.HttpWebRequest.UseUnsafeHeaderParsing not found.
    Source: mscorlib
    at System.RuntimeType.InvokeMember(String name,
    BindingFlags invokeAttr, Binder binder, Object target,
    Object[] args, ParameterModifier[] modifiers, CultureInfo
    culture, String[] namedParameters)
    at System.Type.InvokeMember(String name, BindingFlags
    invokeAttr, Binder binder, Object target, Object[] args)
    at
    NewsComponents.Net.AsyncWebRequest.SetAllowUnsafeHeaderParsi
    ng() in d:\my
    projects\dot.net\sourceforge.rssbandit\currentwork\source\ne
    wscomponents\net\asyncwebrequest.cs:line 301

    2006-03-27 16:10:55,767 [1196] WARN
    RssBandit.WinGui.Forms.WinGuiMain [] - The user defined
    shortcut settings file is invalid. Using the default
    instead.
    Exception:
    RssBandit.Utility.Keyboard.InvalidShortcutSettingsFileExcept
    ion
    Message: The Shortcut Settings File was not found.
    Source: RSSBandit
    at RssBandit.Utility.Keyboard.ShortcutHandler.Load
    (String path) in D:\My
    Projects\DOT.NET\Sourceforge.RssBandit\CurrentWork\Source\Rs
    sBandit\WinGui\Keyboard\ShortcutHandler.cs:line 75
    at RssBandit.WinGui.Forms.WinGuiMain.InitShortcutManager
    () in d:\my
    projects\dot.net\sourceforge.rssbandit\currentwork\source\rs
    sbandit\wingui\forms\winguimain.cs:line 6723

    Nested Exception

    Exception: System.IO.FileNotFoundException
    Message: Could not find file "C:\Documents and
    Settings\NoneOfYourBusiness\Application
    Data\RssBandit\shortcutsettings.xml".
    Source: mscorlib
    at System.IO.__Error.WinIOError(Int32 errorCode, String
    str)
    at System.IO.FileStream..ctor(String path, FileMode
    mode, FileAccess access, FileShare share, Int32 bufferSize,
    Boolean useAsync, String msgPath, Boolean bFromProxy)
    at System.IO.FileStream..ctor(String path, FileMode
    mode, FileAccess access, FileShare share)
    at System.IO.File.OpenRead(String path)
    at RssBandit.Utility.Keyboard.ShortcutHandler.Load
    (String path) in D:\My
    Projects\DOT.NET\Sourceforge.RssBandit\CurrentWork\Source\Rs
    sBandit\WinGui\Keyboard\ShortcutHandler.cs:line 71

    The following was towards the top of the .preferences.xml:

    <_PrefsVersion>21
    <ProxyAddress id="ref-5">proxyesf</ProxyAddress>
    <ProxyPort>8080</ProxyPort>
    <ProxyUser id="ref-6"/>
    <ProxyPassword href="#ref-6"/>
    <ProxyBypassList href="#ref-7"/>

     
  • Torsten Rendelmann

    Logged In: YES
    user_id=714452

    Autodiscover issues are now solved (CVS)

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks